Bug 635971 - glob mkfs ext2 /dev/vd[b-t]1 does not expand
glob mkfs ext2 /dev/vd[b-t]1 does not expand
Status: CLOSED UPSTREAM
Product: Virtualization Tools
Classification: Community
Component: libguestfs (Show other bugs)
unspecified
All Linux
low Severity medium
: ---
: ---
Assigned To: Richard W.M. Jones
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-09-21 04:09 EDT by Richard W.M. Jones
Modified: 2012-05-03 11:48 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-05-03 11:48:45 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Richard W.M. Jones 2010-09-21 04:09:54 EDT
Description of problem:

><fs> list-partitions 
/dev/vda1
/dev/vda2
/dev/vdb1
/dev/vdc1
/dev/vdd1
/dev/vde1
/dev/vdf1
/dev/vdg1
/dev/vdh1
/dev/vdi1
/dev/vdj1
/dev/vdk1
/dev/vdl1
/dev/vdm1
/dev/vdn1
/dev/vdo1
/dev/vdp1
/dev/vdq1
/dev/vdr1
/dev/vds1
/dev/vdt1
><fs> glob mkfs ext2 /dev/vd[b-t]1
mkfs should have 2 parameter(s)
type 'help mkfs' for help on mkfs

Version-Release number of selected component (if applicable):

libguestfs 1.5.16

How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Richard W.M. Jones 2010-09-21 04:45:18 EDT
glob uses guestfs_glob_expand which only works for
paths:
http://libguestfs.org/guestfs.3.html#guestfs_glob_expand

We should add a glob-expand-device call which can
expand device names, then modify the guestfish 'glob'
command to use it as necessary.
Comment 2 Richard W.M. Jones 2012-05-02 11:40:47 EDT
Patch series posted on the upstream mailing list:
https://www.redhat.com/archives/libguestfs/2012-May/msg00004.html
Comment 3 Richard W.M. Jones 2012-05-03 11:48:45 EDT
Fixed in 1.17.39.

Note You need to log in before you can comment on or make changes to this bug.